Is a gem ready for Rails 4 or 5?

Rails 4: 615 ready, 38 not ready, and 433 unknown
Rails 5: 162 ready, 11 not ready, and 913 unknown

Gems ready for Rails 4

Name Status Rails 4 Notes Rails 4 Status Rails 5 Notes Rails 5 Status or notes updated
validates_timeliness ready

Since version 4.0, see https://github.com/adzap/validates_timeliness/blob/master/CHANGELOG.rdoc#400-2015-12-29

not ready

see https://github.com/adzap/validates_timeliness/issues/143

about 2 years ago
validation_group ready unknown almost 6 years ago
values ready

https://github.com/tcrayford/Values/blob/master/README.md

ready

https://github.com/tcrayford/Values/blob/master/README.md

about 2 years ago
virtus ready

Running for many years on our Rails 4 system

unknown

isn't being maintained any more by its original creator... some people are using it on rails 5, some people are putting up Rails5 issues for it, some people are using attribute instead...

5 months ago
vkontakte_api ready

Does not depend on rails (except for rails generator which is working)

unknown almost 6 years ago
web-console ready

_

ready

since version 2.3.0

almost 3 years ago
webmock ready

Does not depend on Rails.

ready

does not depend on Rails

5 months ago
webpacker ready

with Rails 4.2+

ready

It's designed to work with Rails 5.1+

about 1 year ago
webrick ready

It's a standard server.

unknown almost 6 years ago
website ready

does not depend on Rails

unknown about 5 years ago
webster ready

Does not depend on rails 4

unknown over 5 years ago
whenever ready

reported as working since at least gem version 0.8.4 (see Lori's comment)

unknown over 5 years ago
whois ready

does not depend on Rails

unknown almost 6 years ago
wice_grid ready

Ready for rails 4

ready

with this fork https://github.com/patricklindsay/wice_grid (see https://github.com/leikind/wice_grid/commit/a8080a7ddeda45c7719132fc634ad3313f77e730)

about 1 year ago
wicked ready

travis build

ready

for sure from version 1.3.0

almost 3 years ago
wicked_pdf ready

Specs clean run against Rails 4. Rails 4 has been added to the Travis CI matrix

unknown almost 6 years ago
will_paginate ready

Since gem version 3.0.5.

unknown over 5 years ago
wirble ready

Does not depend on Rails.

unknown almost 6 years ago
wiselinks ready unknown almost 6 years ago
wiser_chat ready

It is working properly.

unknown about 4 years ago